# opentl::cvprocess::FASTFeatureDetector Class Reference

This class computed the "Features from Accelerated Segment test" corners detectN: N is the number of pixels on the circle, which have to have the same pixel value as the center : grayscale image. More...

List of all members.

## Static Public Member Functions
static void | detect10 (const opentl::core::cvdata::Image &input, std::vector< opentl::math::Vector2 > &result, int threshold=25)
static void | detect11 (const opentl::core::cvdata::Image &input, std::vector< opentl::math::Vector2 > &result, int threshold=25)
static void | detect12 (const opentl::core::cvdata::Image &input, std::vector< opentl::math::Vector2 > &result, int threshold=25)
static void | detect9 (const opentl::core::cvdata::Image &input, std::vector< opentl::math::Vector2 > &result, int threshold=25)

## Detailed Description

This class computed the "Features from Accelerated Segment test" corners detectN: N is the number of pixels on the circle, which have to have the same pixel value as the center : grayscale image.

Returns:
  : vector of image positions threshold as mentioned above

## Member Function Documentation

static void opentl::cvprocess::FASTFeatureDetector::detect10 | ( | const opentl::core::cvdata::Image & | input,
|  | std::vector< opentl::math::Vector2 > & | result,
|  | int | threshold = `25` |
| ) |  |  | `[static]`

static void opentl::cvprocess::FASTFeatureDetector::detect11 | ( | const opentl::core::cvdata::Image & | input,
|  | std::vector< opentl::math::Vector2 > & | result,
|  | int | threshold = `25` |
| ) |  |  | `[static]`

static void opentl::cvprocess::FASTFeatureDetector::detect12 | ( | const opentl::core::cvdata::Image & | input,
|  | std::vector< opentl::math::Vector2 > & | result,
|  | int | threshold = `25` |
| ) |  |  | `[static]`

static void opentl::cvprocess::FASTFeatureDetector::detect9 | ( | const opentl::core::cvdata::Image & | input,
|  | std::vector< opentl::math::Vector2 > & | result,
|  | int | threshold = `25` |
| ) |  |  | `[static]`